Skip to content

Log ​

22 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getRemoteLoggingTipGETGet customer remote logging tip
getLogSettingForGlobalGETGet global log notification (deprecated)
modifyLogSettingGlobalPATCHModify global log notification (deprecated)
getAlertLogsForGlobalGETGet global alert log list
deleteAlertLogsForGlobalDELETEDelete global alert log
getEventLogsForGlobalGETGet global event log list
deleteEventLogsForGlobalDELETEDelete global event log
exportLogListForGlobalPOSTExport log list in global view
resetLogSettingGlobalPOSTReset global log notification
getAlertLogsForSiteGETGet site alert log list
deleteAlertLogsForSiteDELETEDelete site alert log
resolveAlertForSitePOSTResolve site alert log
getEventLogsForSiteGETGet site event log list
deleteEventLogsForSiteDELETEDelete site event log
getRemoteLoggingSettingTipGETGet site remote logging setting tip
getLogSettingForSiteGETGet site log notification (deprecated)
modifyLogSettingSitePATCHModify site log notification (deprecated)
resetLogSettingSitePOSTReset site log notification
getLogSettingForGlobalV2GETGet global log notification v2
modifyLogSettingGlobalV2PATCHModify global log notification v2
getLogSettingForSiteV2GETGet site log notification v2
modifyLogSettingSiteV2PATCHModify site log notification v2

getRemoteLoggingTip ​

GET /openapi/v1/{omadacId}/global/controller/setting/syslog/tip

Get customer remote logging tip

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getRemoteLoggingTip"
}
Details, permissions and error codes

Get customer remote logging tip.
The interface requires one of the permissions:
Global Other Setting View Only

getLogSettingForGlobal ​

GET /openapi/v1/{omadacId}/log-notification

Deprecated

This operation is deprecated.

Get global log notification

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getLogSettingForGlobal"
}
Details, permissions and error codes

Get global log notification.This interface has been deprecated. Please use the following interface instead: Get global log notification v2
The interface requires one of the permissions:
Global Log & Audit Log Manager View Only

modifyLogSettingGlobal ​

PATCH /openapi/v1/{omadacId}/log-notification

Deprecated

This operation is deprecated.

Modify global log notification

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema LogNotificationSettingEditOpenApiVO

FieldTypeRequiredDescription
webhookConfigWebhookConfigEditOpenApiVOno(WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO")
logNotificationsarray<LogNotificationEditOpenApiVO>yesLog Notification List
alertEmailSettingLogAlertEmailOpenApiVOno(LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyLogSettingGlobal",
  "body": "{...}"
}
Details, permissions and error codes

Modify global log notification.This interface has been deprecated. Please use the following interface instead: Modify global log notification v2
The interface requires one of the permissions:
Global Log & Audit Log Manager Modify

getAlertLogsForGlobal ​

GET /openapi/v1/{omadacId}/logs/alerts

Get global alert log list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100)
filters.timeStartqueryintegeryesFilter query parameters, support field 1679297710438
filters.timeEndqueryintegeryesFilter query parameters, support field 1681889710438
filters.modulequerystringnoFilter query parameters, support field module, it should be a value as follows: System, Device
filters.resolvedquerybooleannoFilter query parameters, support field resolved, it should be a value as follows: true, false
json
// omada_call_operation
{
  "operationId": "getAlertLogsForGlobal",
  "params": {
    "filters.timeStart": "<filters.timeStart>",
    "filters.timeEnd": "<filters.timeEnd>"
  }
}
Details, permissions and error codes

Get logs in global alert log page.
The interface requires one of the permissions:
Global Log & Audit Log Manager View Only

deleteAlertLogsForGlobal ​

DELETE /openapi/v1/{omadacId}/logs/alerts/delete

Delete global alert log

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema DeleteGlobalAlertLogListOpenApiVO

FieldTypeRequiredDescription
logsarray<string>noSelect the logs to delete; Log ID list can be obtained from 'Get global alert log list' interface.
selectTypestringyesSelect type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]').
startTimeintegeryesThe start timeStamp of the delete global alert log, unit: MS.
endTimeintegeryesThe end timeStamp of the delete global alert log, unit: MS.
filterModulestringnoThe module of the delete global log; It is required when [selectType] is 'all', filterModule should be a value as follows: 'System' or 'Device'.
json
// omada_call_operation
{
  "operationId": "deleteAlertLogsForGlobal",
  "body": "{...}"
}
Details, permissions and error codes

Delete global alert log.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify

getEventLogsForGlobal ​

GET /openapi/v1/{omadacId}/logs/events

Get global event log list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100)
filters.timeStartqueryintegeryesFilter query parameters, support field 1679297710438
filters.timeEndqueryintegeryesFilter query parameters, support field 1681889710438
filters.modulequerystringnoFilter query parameters, support field module, it should be a value as follows: System, Device
json
// omada_call_operation
{
  "operationId": "getEventLogsForGlobal",
  "params": {
    "filters.timeStart": "<filters.timeStart>",
    "filters.timeEnd": "<filters.timeEnd>"
  }
}
Details, permissions and error codes

Get logs in global event log page.
The interface requires one of the permissions:
Global Log & Audit Log Manager View Only

deleteEventLogsForGlobal ​

DELETE /openapi/v1/{omadacId}/logs/events/delete

Delete global event log

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema DeleteGlobalEventLogListOpenApiVO

FieldTypeRequiredDescription
logsarray<string>noSelect the logs to delete; Log ID list can be obtained from 'Get global event log list' interface.
selectTypestringyesSelect type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]').
startTimeintegeryesThe start timeStamp of the delete global event log, unit: MS.
endTimeintegeryesThe end timeStamp of the delete global event log, unit: MS.
filterModulestringnoThe module of the delete global log; It is required when [selectType] is 'all', filterModule should be a value as follows: 'System' or 'Device'.
json
// omada_call_operation
{
  "operationId": "deleteEventLogsForGlobal",
  "body": "{...}"
}
Details, permissions and error codes

Delete global event log.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify

exportLogListForGlobal ​

POST /openapi/v1/{omadacId}/logs/export

Export log list in global view

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema ExportLogOpenApiVO

FieldTypeRequiredDescription
siteIdsarray<string>yesParameter [siteIds] indicates site IDs that need to export log results.
formatintegeryesParameter [format] indicates the type of the exported file. 0: CSV, 1: xlsx.
json
// omada_call_operation
{
  "operationId": "exportLogListForGlobal",
  "body": "{...}"
}
Details, permissions and error codes

Export log list in global view.
The interface requires one of the permissions:
Global Export Data Access

resetLogSettingGlobal ​

POST /openapi/v1/{omadacId}/reset/log-notification

Reset global log notification

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "resetLogSettingGlobal"
}
Details, permissions and error codes

Reset global log notification.
The interface requires one of the permissions:
Global Log & Audit Log Manager Modify

getAlertLogsForSite ​

GET /openapi/v1/{omadacId}/sites/{siteId}/logs/alerts

Get site alert log list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100)
filters.timeStartqueryintegeryesFilter query parameters, support field 1679297710438
filters.timeEndqueryintegeryesFilter query parameters, support field 1681889710438
filters.modulequerystringnoFilter query parameters, support field module, it should be a value as follows: System, Device, Client
filters.resolvedquerybooleannoFilter query parameters, support field resolved, it should be a value as follows: true, false
json
// omada_call_operation
{
  "operationId": "getAlertLogsForSite",
  "params": {
    "siteId": "<siteId>",
    "filters.timeStart": "<filters.timeStart>",
    "filters.timeEnd": "<filters.timeEnd>"
  }
}
Details, permissions and error codes

Get logs in site alert log page.
The interface requires one of the permissions:
Site Log & Audit Log Manager View Only

deleteAlertLogsForSite ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/logs/alerts/delete

Delete site alert log

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeleteSiteAlertLogListOpenApiVO

FieldTypeRequiredDescription
logsarray<string>noSelect the logs to delete; Log ID list can be obtained from 'Get site alert log list' interface.
selectTypestringyesSelect type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]').
startTimeintegeryesThe start timeStamp of the delete site alert log, unit: MS.
endTimeintegeryesThe end timeStamp of the delete site alert log, unit: MS.
filterModulestringnoThe module of the delete site alert log; It is required when [selectType] is 'all', filterModule should be a value as follows: 'System' or 'Device'.
json
// omada_call_operation
{
  "operationId": "deleteAlertLogsForSite",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete site alert log.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify

resolveAlertForSite ​

POST /openapi/v1/{omadacId}/sites/{siteId}/logs/alerts/resolve

Resolve site alert log

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ResolveSiteLogListOpenApiVO

FieldTypeRequiredDescription
logsarray<string>noSelect the logs to resolve; Log ID list can be obtained from 'Get site alert log list' interface.
selectTypestringyesSelect type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]').
startTimeintegeryesThe start timeStamp of the resolve site alert log, unit: MS.
endTimeintegeryesThe end timeStamp of the resolve site alert log, unit: MS.
filterModulestringnoThe module of the resolve site alert log; It is required when [selectType] is 'all', filterModule should be a value as follows: 'System' or 'Device'.
json
// omada_call_operation
{
  "operationId": "resolveAlertForSite",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Resolve site alert log.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify

getEventLogsForSite ​

GET /openapi/v1/{omadacId}/sites/{siteId}/logs/events

Get site event log list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100)
filters.timeStartqueryintegeryesFilter query parameters, support field 1679297710438
filters.timeEndqueryintegeryesFilter query parameters, support field 1681889710438
filters.modulequerystringnoFilter query parameters, support field module, it should be a value as follows: System, Device, Client
json
// omada_call_operation
{
  "operationId": "getEventLogsForSite",
  "params": {
    "siteId": "<siteId>",
    "filters.timeStart": "<filters.timeStart>",
    "filters.timeEnd": "<filters.timeEnd>"
  }
}
Details, permissions and error codes

Get logs in site event log page.
The interface requires one of the permissions:
Site Log & Audit Log Manager View Only

deleteEventLogsForSite ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/logs/events/delete

Delete site event log

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeleteSiteEventLogListOpenApiVO

FieldTypeRequiredDescription
logsarray<string>noSelect the logs to delete; Log ID list can be obtained from 'Get site event log list' interface.
selectTypestringyesSelect type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]').
startTimeintegeryesThe start timeStamp of the delete site event log, unit: MS.
endTimeintegeryesThe end timeStamp of the delete site event log, unit: MS.
filterModulestringnoThe module of the delete site event log; It is required when [selectType] is 'all', filterModule should be a value as follows: ['System', 'Device', 'Client'].
json
// omada_call_operation
{
  "operationId": "deleteEventLogsForSite",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete site event log.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify

getRemoteLoggingSettingTip ​

GET /openapi/v1/{omadacId}/sites/{siteId}/remote-logging/tip

Get site remote logging setting tip

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getRemoteLoggingSettingTip",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site remote logging setting tip.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getLogSettingForSite ​

GET /openapi/v1/{omadacId}/sites/{siteId}/site/log-notification

Deprecated

This operation is deprecated.

Get site log notification

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getLogSettingForSite",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site log notification.This interface has been deprecated. Please use the following interface instead: Get site log notification v2
The interface requires one of the permissions:
Site Log & Audit Log Manager View Only

modifyLogSettingSite ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/site/log-notification

Deprecated

This operation is deprecated.

Modify site log notification

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema LogNotificationSettingEditOpenApiVO

FieldTypeRequiredDescription
webhookConfigWebhookConfigEditOpenApiVOno(WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO")
logNotificationsarray<LogNotificationEditOpenApiVO>yesLog Notification List
alertEmailSettingLogAlertEmailOpenApiVOno(LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyLogSettingSite",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site log notification.This interface has been deprecated. Please use the following interface instead: Modify site log notification v2
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify

resetLogSettingSite ​

POST /openapi/v1/{omadacId}/sites/{siteId}/site/reset/log-notification

Reset site log notification

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "resetLogSettingSite",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Reset site log notification.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify

getLogSettingForGlobalV2 ​

GET /openapi/v2/{omadacId}/log-notification

Get global log notification v2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getLogSettingForGlobalV2"
}
Details, permissions and error codes

Get global log notification.
The interface requires one of the permissions:
Global Log & Audit Log Manager View Only

modifyLogSettingGlobalV2 ​

PATCH /openapi/v2/{omadacId}/log-notification

Modify global log notification v2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema LogNotificationSettingEditOpenApiV2VO

FieldTypeRequiredDescription
webhookConfigWebhookConfigEditOpenApiVOno(WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO")
alertNotificationsarray<LogNotificationEditOpenApiV2VO>noAlert Notification List
eventNotificationsarray<LogNotificationEditOpenApiV2VO>noEvent Notification List
alertEmailSettingLogAlertEmailOpenApiVOno(LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO")
eventEmailSettingLogAlertEmailOpenApiVOno(LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyLogSettingGlobalV2",
  "body": "{...}"
}
Details, permissions and error codes

Modify global log notification.
The interface requires one of the permissions:
Global Log & Audit Log Manager Modify

getLogSettingForSiteV2 ​

GET /openapi/v2/{omadacId}/sites/{siteId}/site/log-notification

Get site log notification v2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getLogSettingForSiteV2",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site log notification.
The interface requires one of the permissions:
Site Log & Audit Log Manager View Only

modifyLogSettingSiteV2 ​

PATCH /openapi/v2/{omadacId}/sites/{siteId}/site/log-notification

Modify site log notification v2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema LogNotificationSettingEditOpenApiV2VO

FieldTypeRequiredDescription
webhookConfigWebhookConfigEditOpenApiVOno(WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO")
alertNotificationsarray<LogNotificationEditOpenApiV2VO>noAlert Notification List
eventNotificationsarray<LogNotificationEditOpenApiV2VO>noEvent Notification List
alertEmailSettingLogAlertEmailOpenApiVOno(LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO")
eventEmailSettingLogAlertEmailOpenApiVOno(LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyLogSettingSiteV2",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site log notification.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.